Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.blocks
Class LeftCurlyOption

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractOption
          com.puppycrawl.tools.checkstyle.checks.blocks.LeftCurlyOption

All Implemented Interfaces:
  java.io.Serializable

public final class LeftCurlyOption
extends AbstractOption

Represents the options for placing the left curly brace `'{'`.

Version:
  1
Author:
  Oliver Burn
See Also:
  Serialized Form

Field Summary
`static LeftCurlyOption` | `EOL` Represents the policy for placing the brace at the end of line.
`static LeftCurlyOption` | `NL` Represents the policy that the brace must always be on a new line.
`static LeftCurlyOption` | `NLOW` Represents the policy that if the brace will fit on the first line of the statement, taking into account maximum line length, then apply `EOL` rule.

Method Summary
`protected java.util.Map` | `getStrToOpt()` Returns the map from string representations to options.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOption
`decode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EOL

    public static final LeftCurlyOption EOL

  Represents the policy for placing the brace at the end of line. For example:

       if (condition) {
           ...

### NLOW

    public static final LeftCurlyOption NLOW

  Represents the policy that if the brace will fit on the first line of the statement, taking into account maximum line length, then apply `EOL` rule. Otherwise apply the `NL` rule. `NLOW` is a mnemonic for "new line on wrap".

  For the example above Checkstyle will enforce:

       if (condition) {
           ...

  But for a statement spanning multiple lines, Checkstyle will enforce:

       if (condition1 && condition2 &&
           condition3 && condition4)
       {
           ...

### NL

    public static final LeftCurlyOption NL

  Represents the policy that the brace must always be on a new line. For example:

       if (condition)
       {
           ...

Method Detail

### getStrToOpt

    protected java.util.Map getStrToOpt()

  Description copied from class: `AbstractOption`
  Returns the map from string representations to options.

  Specified by:
    `getStrToOpt` in class `AbstractOption`
  Returns:
    `Map` from strings to options.
  See Also:
    `AbstractOption`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD